Package picard.sam.markduplicates.util

# Class ReadEndsForMarkDuplicatesWithBarcodesCodec

java.lang.Object
picard.sam.markduplicates.util.ReadEndsForMarkDuplicatesCodec
picard.sam.markduplicates.util.ReadEndsForMarkDuplicatesWithBarcodesCodec

All Implemented Interfaces:
  `htsjdk.samtools.util.SortingCollection.Codec<ReadEndsForMarkDuplicates>`, `Cloneable`

public class ReadEndsForMarkDuplicatesWithBarcodesCodec extends ReadEndsForMarkDuplicatesCodec
Created by nhomer on 9/13/15.

## Field Summary

### Fields inherited from class picard.sam.markduplicates.util.ReadEndsForMarkDuplicatesCodec

`in, out`

## Constructor Summary

Constructors
Constructor
Description
`ReadEndsForMarkDuplicatesWithBarcodesCodec()`

## Method Summary

Modifier and Type
Method
Description
`htsjdk.samtools.util.SortingCollection.Codec<ReadEndsForMarkDuplicates>`
`clone()`
`ReadEndsForMarkDuplicates`
`decode()`
`void`
`encode(ReadEndsForMarkDuplicates read)`

### Methods inherited from class picard.sam.markduplicates.util.ReadEndsForMarkDuplicatesCodec

`getInputStream, getOutputStream, setInputStream, setOutputStream`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ReadEndsForMarkDuplicatesWithBarcodesCodec

public ReadEndsForMarkDuplicatesWithBarcodesCodec()

## Method Details

### clone

public htsjdk.samtools.util.SortingCollection.Codec<ReadEndsForMarkDuplicates> clone()

Specified by:
  `clone` in interface `htsjdk.samtools.util.SortingCollection.Codec<ReadEndsForMarkDuplicates>`
Overrides:
  `clone` in class `ReadEndsForMarkDuplicatesCodec`

### encode

public void encode(ReadEndsForMarkDuplicates read)

Specified by:
  `encode` in interface `htsjdk.samtools.util.SortingCollection.Codec<ReadEndsForMarkDuplicates>`
Overrides:
  `encode` in class `ReadEndsForMarkDuplicatesCodec`

### decode

public ReadEndsForMarkDuplicates decode()

Specified by:
  `decode` in interface `htsjdk.samtools.util.SortingCollection.Codec<ReadEndsForMarkDuplicates>`
Overrides:
  `decode` in class `ReadEndsForMarkDuplicatesCodec`